Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

'config failed' installing RubyCocoa 0.10.1

Help
2007-02-16
2013-05-08
  • Tim Wraight
    Tim Wraight
    2007-02-16

    Hi there,

    When I run 'ruby install.rb config', I get the following error:

    tool/gen_bridge_metadata.rb:1138:in `compile_and_execute_code': Can't compile C code... aborting (RuntimeError)
    command was: gcc /tmp/src-0-28665.m -o /tmp/bin-0-28665 -F"/System/Library/Frameworks" -framework CoreFoundation -framework Foundation  2>/tmp/log-0-28665

    /usr/bin/ld: Undefined symbols:
    ___dso_handle
    collect2: ld returned 1 exit status
            from tool/gen_bridge_metadata.rb:552:in `collect_types_encoding'
            from tool/gen_bridge_metadata.rb:374:in `initialize'
            from tool/gen_bridge_metadata.rb:1163:in `new'
            from tool/gen_bridge_metadata.rb:1163
    config failed
    hook /usr/local/src/rubycocoa/src/framework/post-config.rb failed:
    'system /usr/local/bin/ruby tool/gen_bridge_metadata.rb -f /System/Library/Frameworks/CoreFoundation.framework -e bridge-support-exceptions/CoreFoundation.xml -o bridge-support/CoreFoundation.bridgesupport' failed
    try 'ruby install.rb --help' for usage
    src: ruby install.rb --help

    I installed ruby from source using the instructions at Hivelogic.com
    Here's the output from 'ruby -v':
    ruby 1.8.5 (2006-12-25 patchlevel 12) [i686-darwin8.8.1]

    Any help would be most appreciated.

    Tim